GWT 2.7.0

## com.google.gwt.xml.client
Interface Text

All Superinterfaces:
  CharacterData, Node

All Known Subinterfaces:
  CDATASection

    public interface Text

extends CharacterData

This interface describes text nodes, as might occur between tags. These may also be `CDATASection` nodes.

Field Summary

Fields inherited from interface com.google.gwt.xml.client.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`Text` | `splitText(int offset)` Splits the node into two text nodes.

Methods inherited from interface com.google.gwt.xml.client.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface com.google.gwt.xml.client.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue`

Method Detail

### splitText

    Text splitText(int offset)

  Splits the node into two text nodes. The current node is truncated to `offset`, and the new node is inserted as the next sibling. The new node created is also returned.

  Parameters:
    `offset` - how far from the beginning to start splitting
  Returns:
    new `Text` node containing the data after `offset`

GWT 2.7.0